#!/usr/bin/env python
# -*- coding: UTF-8 -*-

import os
import gtk

#from sugar.graphics import style

PATH_IMG = os.getenv("HOME") + "/.bps/images/"

class Visor(object):
    def __init__(self):
        self.x = 0
        self.y = 0
        self.mod = 0
        self.window = gtk.Window(gtk.WINDOW_TOPLEVEL)
        self.window.add_events(gtk.gdk.BUTTON_PRESS_MASK)
        self.window.connect('button-press-event', self.press_button)
        self.window.connect("delete_event", self.delete_event)
        self.window.connect("destroy", self.destroy)
        
        self.window.maximize()

        self.las_imagenes = []
        self.imagenes_index = 0
        self.cargar_imagenes()

        self.image = gtk.Image()
        self.show_imagen(self.imagenes_index)
        self.image.show()

        self.window.connect('key-press-event', self.on_key_press)

        self.window.add(self.image)
        self.window.show()
    
    def adelante(self):
        if self.imagenes_index < len(self.las_imagenes):
            self.imagenes_index += 1            
            self.show_imagen(self.imagenes_index)
        print str(self.imagenes_index)
#        else:
#            self.imagenes_index = 1
#            self.show_imagen(self.imagenes_index)


    def atras(self):
        if self.imagenes_index >= 1:
            self.imagenes_index -= 1            
            self.show_imagen(self.imagenes_index)
        print str(self.imagenes_index)
    
    def open_browser(self):
            bashCommand = 'firefox "http://www.bps.gub.uy/5614/inclusion_financiera_-_solicitud_tarjeta_bps_prestaciones.html"'
            os.system(bashCommand)

    def get_coordenadas(self):
        rootwin = self.window.get_screen().get_root_window()
        self.x, self.y, self.mods = rootwin.get_pointer()
        print "x = "+str(self.x)
        print "y = "+str(self.y)


    def press_button(self, widget, delete_event):
        size = self.window.get_size()
        centro = size[0]/2
        self.get_coordenadas()
        if self.imagenes_index == 33:
            if self.x >= 400 and self.y >= 400 and self.x < 888 and self.y < 500:
                self.open_browser();
        if self.imagenes_index == len(self.las_imagenes):
            if self.x >= 400 and self.y >= 400 and self.x < 888 and self.y < 500:
                self.imagenes_index = 0            
                self.show_imagen(self.imagenes_index)
        elif centro > self.x:
            self.atras()
        else:
            self.adelante()
        



    def on_key_press(self, widget, event):
            if event.keyval == gtk.keysyms.Left:
                print "Atras"
                self.atras()
            elif event.keyval == gtk.keysyms.Right:
                print "Adelante"
                self.adelante()


    def delete_event(self, widget, event, data=None):
        print "delete event occured"
        return False

    def destroy(self, widget, data=None):
        gtk.main_quit()

    def main(self):
        gtk.main()

    def cargar_imagenes(self):
        files=""
        for base, dirs, files in os.walk(PATH_IMG):
            las_imagenes= files
        for f in files:
            self.las_imagenes.append(PATH_IMG+f)
        self.las_imagenes.sort()

    def show_imagen(self, index):
        img = self.las_imagenes[index]
	self.window.set_title("BPS Aumentado")
        w = gtk.gdk.screen_width()
        h = gtk.gdk.screen_height()
        pixbufanim = gtk.gdk.pixbuf_new_from_file_at_size(img, w-100, h-100)
        self.image.set_from_pixbuf(pixbufanim)

        #self.image.set_from_file(img)
        self.image.show()

if __name__ == '__main__':
    Visor().main()
